ScanopyScanopy
Daemons

Export daemons to CSV

Export all daemons matching the filter criteria to CSV format. Ignores pagination parameters (limit/offset) and exports all matching records.

GET
/api/v1/daemons/export/csv

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

site_ids?array<>|

Filter by site ID. Repeat the parameter to pass several.

statuses?array<>|

Only daemons in one of these statuses. Repeat for several.

os?array<>|

Only daemons installed on one of these operating systems. Repeat for several.

modes?array<>|

Only daemons that connect one of these ways. Repeat for several.

maintainer_ids?array<>|

Only daemons maintained by one of these users. Repeat for several.

versions?array<string>|

Only daemons running one of these versions. Repeat for several.

interfaced_subnet_ids?array<>|

Only daemons with an interface on one of these subnets. Repeat for several.

tag_ids?array<>|

Filter by tag IDs (returns daemons that have ANY of the specified tags)

tag_sets?array<string>|

Tag sets the daemon must hold one tag from each of. Each entry is a comma-separated list of tag ids. One entry per tag group the list is filtered by.

search?|

Free-text search. Case-insensitive substring match against the name and url.

group_by?|

Primary ordering field (used for grouping). Always sorts ASC to keep groups together.

order_by?|

Secondary ordering field (sorting within groups or standalone sort).

group_by_tag_group?|

Group by the tag each row holds from this tag group. Takes the place of group_by.

order_by_tag_group?|

Sort by the position of the tag each row holds from this tag group. Takes the place of order_by.

order_direction?|

Direction for order_by field (group_by always uses ASC).

limit?|

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

offset?|

Number of results to skip. Default: 0.

Response Body

text/csv

curl -X GET "https://example.com/api/v1/daemons/export/csv"
"string"

Product names and logos are trademarks of their respective owners. See credits.